std::bitset::all,std::bitset::any,std::bitset::none(3)

NAME
std::bitset::all,std::bitset::any,std::bitset::none - std::bitset::all,std::bitset::any,std::bitset::none

Synopsis
   bool all() const noexcept; (until C++23)
   constexpr bool all() const (since C++23)
   noexcept;
   bool any() const; (until C++11)
   bool any() const noexcept; (since C++11)
                        (until C++23)
   constexpr bool any() const (1) (since C++23)
   noexcept; (2)
   bool none() const; (until C++11)
   bool none() const noexcept; (since C++11)
                        (3) (until C++23)
   constexpr bool none() const (since C++23)
   noexcept;
   Checks if all, any or none of the bits are set to true.
   1) Checks if all bits are set to true
   2) Checks if any bits are set to true
   3) Checks if none of the bits are set to true

Parameters
   (none)

Return value
   1) true if all bits are set to true, otherwise false
   2) true if any of the bits are set to true, otherwise false
   3) true if none of the bits are set to true, otherwise false

Example
// Run this code
 #include <iostream>
 #include <bitset>
 int main()
 {
     std::bitset<4> b1("0000");
     std::bitset<4> b2("0101");
     std::bitset<4> b3("1111");
     std::cout
         << "bitset\t" << "all\t" << "any\t" << "none\n"
         << b1 << '\t' << b1.all() << '\t' << b1.any() << '\t' << b1.none() << '\n'
         << b2 << '\t' << b2.all() << '\t' << b2.any() << '\t' << b2.none() << '\n'
         << b3 << '\t' << b3.all() << '\t' << b3.any() << '\t' << b3.none() << '\n';
 }

Output:
 bitset all any none
 0000 0 0 1
 0101 0 1 0
 1111 1 1 0

See also
   count returns the number of bits set to true
            (public member function)
   popcount counts the number of 1 bits in an unsigned integer
   (C++20) (function template)